@charset "UTF-8";

/*============================
	column-archive
============================*/
.ca__obj01 {
    max-width: 960px;
    width: calc((960/1920)*100%);
    right: 0;
    top: 20%;
    transform: translate(0, -50%);
    z-index: -1;
}

.ca__obj02 {
    max-width: 936px;
    width: calc((936/1920)*100%);
    left: 0;
    top: 80%;
    transform: translate(0, -50%);
    z-index: -1;
}

.col__items {
    width: 102%;
    margin-left: -1%;
}

.col__atc {
    width: 31.33%;
    margin: 0 1% 60px;

    .col__img img {
        width: 100%;
        object-fit: cover;
        height: 260px;
    }

    & a {
        display: block;
        width: 100%;
        height: 100%;

        &:hover {
            .col__img img {
                transform: scale(1.05);
            }
        }
    }
}

.col__info {
    margin: 0.5em 0 0.1em;
    display: flex;
    align-items: center;
}

.col__date {
    margin-right: 1em;
    white-space: nowrap;
    padding-left: 1em;
    position: relative;
    font-size: 1.4rem;
    
    
    
    
    
    
    
    
    
    

    &::before {
        content: "●";
        position: absolute;
        font-size: 1rem;
        color: #1a4fa0;
        left: 0;
        top: 50%;
        transform: translate(0, -50%);
    }
}

.col__h3 {
    font-weight: 500;
    overflow: hidden;
    display: -webkit-box;
    text-overflow: ellipsis;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    line-clamp: 2;
}

/* ブロックエディタ用 */
.wp-block-column {
    padding: 30px 5%;
}

@media screen and (max-width:1024px) {
    .col__items {
        width: 102%;
        margin-left: -1%;
    }

    .col__atc {
        width: 31.33%;
        margin: 0 1% 20px;
        .col__img img {
            height: 180px;
        }
    }

    .col__info {
        margin: 1em 0;

    }

    .col__date {
        margin-right: 1em;
        padding-left: 1em;

    }
}

@media screen and (max-width:767px) {

    .col__items {
        width: 100%;
        margin-left: 0;
    }

    .col__atc {
        width: 100%;
        margin: 0 auto 40px;
        max-width: 340px;
        .col__img img {
            height: 220px;
        }
        &:last-child {
            margin-bottom: 0;
        }
    }

    .col__info {
        margin: 1em 0 .5em;

    }

    .col__date {
        margin-right: 1em;
    }
}


/*============================
	column-ditail 
============================*/
.colu-detail-contents {
    & h1 {
        font-size: 4rem;
        font-weight: bold;
        line-height: 1.5;
    }

    & h2 {
        line-height: 1.5;
        font-size: 2.6rem;
        font-weight: bold;
        background: #e6ecf4;
        padding: .5em .5em .5em 1em;
        position: relative;

        &::before {
            content: "";
            position: absolute;
            width: 5px;
            height: 100%;
            background: linear-gradient(90deg, #0bbafb, #4285ec);
            left: 0;
            top: 0;
        }
    }

    & h3 {
        line-height: 1.5;
        font-size: 2rem;
        padding-left: 1em;
        font-weight: bold;
        position: relative;

        &::before {
            content: "";
            position: absolute;
            width: 5px;
            height: 100%;
            background: linear-gradient(90deg, #0bbafb, #4285ec);
            left: 0;
            top: 0;
        }

    }

    & li {
        line-height: 2;
    }

}

.cd__date {
    padding-left: 1em;
    position: relative;
    margin-right: 1em;
    white-space: nowrap;

    &::before {
        content: "";
        position: absolute;
        width: 10px;
        height: 10px;
        border-radius: 50%;
        background: #1a4fa0;
        left: 0;
        top: 50%;
        transform: translate(0, -50%);
    }
}

.cd__box {
    padding: 30px 3%;
    background: #e6ecf4;
}

@media screen and (max-width:1024px) {
    .colu-detail-contents {
        & h1 {
            font-size: 2.6rem;
        }

        & h2 {
            font-size: 2rem;
            padding: .5em .5em .5em 1em;

        }

        & h3 {
            font-size: 1.8rem;
        }

    }

    .cd__info {
        & li {
            padding: 1em 1em 1em 2em;

        }
    }

    .cd__th {
        width: 10em;
    }

    .cd__td {
        width: calc(100% - 10em);
    }

    .cd__cat {
        padding: .25em 1em;
        border-radius: 6px;
        margin-right: .5em;
    }

    .cdba__item {
        margin-bottom: 30px;
    }

    .cdba__before {
        width: 45%;
        padding: 1em 1.5em;
        border-radius: 10px;
    }

    .cdba__after {
        width: 45%;
        padding: 1em 1.5em;
        border-radius: 10px;
    }

    .cdba__arw {
        width: 10%;
        padding: 0 2%;

        & img {
            display: block;
        }
    }
}

@media screen and (max-width:767px) {
    .colu-detail-contents {
        & h1 {
            font-size: 1.8rem;
        }

        & h2 {
            font-size: 1.6rem;
            padding: .5em .5em .5em 1em;

        }

        & h3 {
            font-size: 1.6rem;
        }

    }

    .cd__info {
        & li {
            padding: 1em 0 1em 0;

        }
    }

    .cd__th {
        width: 6em;
    }

    .cd__td {
        width: calc(100% - 6em);
    }

    .cd__cat {
        padding: .25em 1em;
        border-radius: 6px;
        margin-right: .5em;
    }

    .cdba__item {
        margin-bottom: 30px;
        display: block;
    }

    .cdba__before {
        width: 100%;
        padding: 1em 5%;
    }

    .cdba__after {
        width: 100%;
        padding: 1em 5%;
    }

    .cdba__arw {
        width: 100%;
        padding: 20px 0;

        & img {
            max-width: 30px;
            transform: rotate(90deg);

        }
    }
}


/*============================
	cd__relative
============================*/
.cd__relative {
    .inner {
        padding: 100px 1%;
        border-top: solid 1px #e6ecf4;
    }

    .cdr__items {
        width: 102%;
        margin-left: -1%;
    }

    .col__atc {
        width: 31.33%;
        margin: 0 1%;
    }
    .col__img img{
        object-fit: cover;
        width: 100%;
        height: 280px;
    }
    
}

@media screen and (max-width:1024px) {
    .cd__relative {
        .inner {
            padding: 80px 3%;
        }

        .cdr__items {
            width: 102%;
            margin-left: -1%;
        }

        .col__atc {
            width: 31.33%;
            margin: 0 1%;
        }
        .col__img img{
            height: 200px;
        }
        
    }

}

@media screen and (max-width:767px) {
    .cd__relative {
        .inner {
            padding: 60px 5%;
        }

        .cdr__items {
            width: 100%;
            margin-left: 0;
        }

        .col__atc {
            width: 100%;
            margin: 0 auto 30px;
        }
        .col__img img{
            height: 240px;
        }
        
    }
}